Module tdlight.api
Package it.tdlight.jni

# Class TdApi.UploadStickerFile

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.File>
it.tdlight.jni.TdApi.UploadStickerFile

Enclosing class:
  TdApi

public static final class TdApi.UploadStickerFile extends TdApi.Function<TdApi.File>
Uploads a file with a sticker; returns the uploaded file.

Returns `File`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`TdApi.InputFile`
`sticker`
File file to upload; must fit in a 512x512 square.
`TdApi.StickerFormat`
`stickerFormat`
Sticker format.
`long`
`userId`
Sticker file owner; ignored for regular users.

## Constructor Summary

Constructors
Constructor
Description
`UploadStickerFile()`
Uploads a file with a sticker; returns the uploaded file.
`UploadStickerFile(long userId, TdApi.StickerFormat stickerFormat, TdApi.InputFile sticker)`
Uploads a file with a sticker; returns the uploaded file.
`UploadStickerFile(DataInput input)`
Uploads a file with a sticker; returns the uploaded file.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### userId

public long userId
Sticker file owner; ignored for regular users.

### stickerFormat

public TdApi.StickerFormat stickerFormat
Sticker format.

### sticker

public TdApi.InputFile sticker
File file to upload; must fit in a 512x512 square. For WEBP stickers the file must be in WEBP or PNG format, which will be converted to WEBP server-side. See https://core.telegram.org/animated_stickers#technical-requirements for technical requirements.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### UploadStickerFile

public UploadStickerFile()
Uploads a file with a sticker; returns the uploaded file.

Returns `File`

### UploadStickerFile

public UploadStickerFile(long userId, TdApi.StickerFormat stickerFormat, TdApi.InputFile sticker)
Uploads a file with a sticker; returns the uploaded file.

Returns `File`

Parameters:
  `userId` - Sticker file owner; ignored for regular users.
  `stickerFormat` - Sticker format.
  `sticker` - File file to upload; must fit in a 512x512 square. For WEBP stickers the file must be in WEBP or PNG format, which will be converted to WEBP server-side. See https://core.telegram.org/animated_stickers#technical-requirements for technical requirements.

  Returns `File`

### UploadStickerFile

public UploadStickerFile(DataInput input) throws IOException
Uploads a file with a sticker; returns the uploaded file.

Returns `File`

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`